from django.contrib import admin
from .models import Evento, Reserva, ListaEspera, Noticia, Lugar
from .forms import EventoForm


class NoticiaAdmin(admin.ModelAdmin):
    list_display = ['titulo', 'fecha_publicacion', 'autor']


admin.site.register(Noticia, NoticiaAdmin)


class EventoAdmin(admin.ModelAdmin):
    form = EventoForm
    list_display = ['nombre', 'fecha', 'plazas_disponibles', 'url_imagen', 'lugar']
    list_filter = ['publicado', 'fecha']
    search_fields = ['descripcion']


admin.site.register(Evento, EventoAdmin)
admin.site.register(Reserva)
admin.site.register(ListaEspera)
admin.site.register(Lugar)
